# Scheduler - **OpenAPI Version:** `3.1.0` - **API Version:** `1.0.0` Scheduler webhooks allow developers to receive events for [Scheduler](https://developers.zoom.us/docs/zoom-scheduler/). ## Operations ### POST scheduler.scheduled\_event\_created - **Method:** `POST` - **Path:** `scheduler.scheduled_event_created` - **Tags:** scheduler #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event was created. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the scheduled event host. - **`object`** `object` — The event information. - **`created`** `string` — The moment the scheduled request was created. - **`invitee_email`** `string` — The email address of the user who scheduled the event. - **`invitee_first_name`** `string` — The first name of the user who scheduled the event. - **`invitee_last_name`** `string` — The last name of the user who scheduled the event. - **`manage_url`** `string` — The URL for the user to reschedule or cancel the scheduled event. - **`questions_and_answers`** `array` — The collection of questions and answers from the booking form. **Items:** - **`answer` (required)** `array` — The answers to the question. **Items:** `string` — The answer to the question. - **`position` (required)** `integer` — The index of the question. - **`question` (required)** `string` — The question from the booking page. - **`rescheduled`** `boolean` — Indicates whether this is from a reschedule request. - **`scheduled_event`** `object` — The scheduled event information. - **`attendees`** `array` — The attendees of the event. **Items:** - **`display_name`** `string` — The attendee's name. - **`email`** `string` — The attendee's email address. - **`created`** `string` — The moment the scheduled event was created. - **`end_date_time`** `string` — The scheduled event's end date and time. - **`event_id`** `string` — The unique identifier of the event. - **`external_location`** `object` — The meeting details in the scheduled event. - **`guests`** `array` — The collection of guests. **Items:** `string` — The guest's email address. - **`invitee_counters`** `object` — The event's guest counters. - **`active`** `integer`, format: `int64` — The count of active invitees in the event. - **`limit`** `integer`, format: `int64` — The maximum number of invitees allowed for the event. - **`total`** `integer`, format: `int64` — The total count of invitees in the event. - **`location`** `object` - **`location_kind`** `string`, possible values: `"custom", "in-person_meeting", "outbound_call", "inbound_call", "invitee_specified", "zoom", "google_meet", "microsoft_teams"` — Unified location type for both location and external\_location objects. If location type is online meeting, location info is in external\_location object. If not, location info is in location object. - **`meeting_notes`** `string` — The scheduled event's meeting notes. - **`start_date_time`** `string` — The scheduled event's start date and time. - **`status`** `string`, possible values: `"confirmed", "cancelled"` — The event status: confirmed or cancelled. - **`summary`** `string` — The schedule name. - **`updated`** `string` — The moment the scheduled event was updated. - **`text_phone_number`** `string` — The phone number of the invitee to receive text reminders. - **`time_zone`** `string` — The user's time zone. - **`tracking`** `object` — The information to track the invitee source. This field is only present when UTM parameters are added. - **`salesforce_ids`** `array` — The tracking of Salesforce IDs. **Items:** - **`utm_campaign`** `string` — This field identifies a specific product promotion or strategic campaign. - **`utm_content`** `string` — This field identifies what specifically was clicked to bring the user to the site, such as a banner ad or a text link. It is often used for A/B testing and content-targeted ads. - **`utm_medium`** `string` — This field identifies what type of link was used, such as pay-per-click or email. - **`utm_source`** `string` — This field identifies which site sent the traffic and is a required parameter. - **`utm_term`** `string` — This field identifies the search terms. - **`user_id`** `string` — The user ID of the scheduled event host. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "user_id": "", "object": { "invitee_email": "example@example.com", "invitee_first_name": "alax", "invitee_last_name": "bbbb", "manage_url": "https://scheduler.zoom.us/manage/m0o1uf25uq89wllenxxxxxxxxxxxx", "time_zone": "Asia/Shanghai", "questions_and_answers": [ { "question": "Please share anything that will help prepare for our meeting.", "position": 1, "answer": [ "" ] } ], "scheduled_event": { "event_id": "woft7torlatbw8ek24bmit5k60", "attendees": [ { "display_name": "bob", "email": "abc@zoom.us" } ], "invitee_counters": { "total": 1, "active": 1, "limit": 1 }, "end_date_time": "2023-12-21T16:30:00Z", "guests": [ "tom@zoom.us" ], "location_kind": "zoom", "external_location": { "kind": "zoom", "meeting_id": "94777886776", "personal_meeting_id": "98656786887", "meeting_passcode": "958000", "meeting_description": "Invite you to meeting", "meeting_join_url": "https://zoom.us/j/7427752805" }, "start_date_time": "2023-12-21T16:00:00Z", "status": "confirmed", "summary": "daily meeting", "updated": "2023-12-21T06:18:32.087Z", "created": "2023-12-21T06:18:32.087Z", "meeting_notes": "meeting notes" }, "tracking": { "utm_source": "zoom", "utm_medium": "pay-per-clik", "utm_campaign": "spring_sale", "utm_content": "schedule link", "utm_term": "learning", "salesforce_ids": [ {} ] }, "rescheduled": true, "created": "2023-12-21T06:18:32.087Z", "text_phone_number": "+1 83798773" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event was created. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the scheduled event host. - **`object`** `object` — The event information. - **`created`** `string` — The moment the scheduled request was created. - **`invitee_email`** `string` — The email address of the user who scheduled the event. - **`invitee_first_name`** `string` — The first name of the user who scheduled the event. - **`invitee_last_name`** `string` — The last name of the user who scheduled the event. - **`manage_url`** `string` — The URL for the user to reschedule or cancel the scheduled event. - **`questions_and_answers`** `array` — The collection of questions and answers from the booking form. **Items:** - **`answer` (required)** `array` — The answers to the question. **Items:** `string` — The answer to the question. - **`position` (required)** `integer` — The index of the question. - **`question` (required)** `string` — The question from the booking page. - **`rescheduled`** `boolean` — Indicates whether this is from a reschedule request. - **`scheduled_event`** `object` — The scheduled event information. - **`attendees`** `array` — The attendees of the event. **Items:** - **`display_name`** `string` — The attendee's name. - **`email`** `string` — The attendee's email address. - **`created`** `string` — The moment the scheduled event was created. - **`end_date_time`** `string` — The scheduled event's end date and time. - **`event_id`** `string` — The unique identifier of the event. - **`external_location`** `object` — The meeting details in the scheduled event. - **`guests`** `array` — The collection of guests. **Items:** `string` — The guest's email address. - **`invitee_counters`** `object` — The event's guest counters. - **`active`** `integer`, format: `int64` — The count of active invitees in the event. - **`limit`** `integer`, format: `int64` — The maximum number of invitees allowed for the event. - **`total`** `integer`, format: `int64` — The total count of invitees in the event. - **`location`** `object` - **`location_kind`** `string`, possible values: `"custom", "in-person_meeting", "outbound_call", "inbound_call", "invitee_specified", "zoom", "google_meet", "microsoft_teams"` — Unified location type for both location and external\_location objects. If location type is online meeting, location info is in external\_location object. If not, location info is in location object. - **`meeting_notes`** `string` — The scheduled event's meeting notes. - **`start_date_time`** `string` — The scheduled event's start date and time. - **`status`** `string`, possible values: `"confirmed", "cancelled"` — The event status: confirmed or cancelled. - **`summary`** `string` — The schedule name. - **`updated`** `string` — The moment the scheduled event was updated. - **`text_phone_number`** `string` — The phone number of the invitee to receive text reminders. - **`time_zone`** `string` — The user's time zone. - **`tracking`** `object` — The information to track the invitee source. This field is only present when UTM parameters are added. - **`salesforce_ids`** `array` — The tracking of Salesforce IDs. **Items:** - **`utm_campaign`** `string` — This field identifies a specific product promotion or strategic campaign. - **`utm_content`** `string` — This field identifies what specifically was clicked to bring the user to the site, such as a banner ad or a text link. It is often used for A/B testing and content-targeted ads. - **`utm_medium`** `string` — This field identifies what type of link was used, such as pay-per-click or email. - **`utm_source`** `string` — This field identifies which site sent the traffic and is a required parameter. - **`utm_term`** `string` — This field identifies the search terms. - **`user_id`** `string` — The user ID of the scheduled event host. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "user_id": "", "object": { "invitee_email": "example@example.com", "invitee_first_name": "alax", "invitee_last_name": "bbbb", "manage_url": "https://scheduler.zoom.us/manage/m0o1uf25uq89wllenxxxxxxxxxxxx", "time_zone": "Asia/Shanghai", "questions_and_answers": [ { "question": "Please share anything that will help prepare for our meeting.", "position": 1, "answer": [ "" ] } ], "scheduled_event": { "event_id": "woft7torlatbw8ek24bmit5k60", "attendees": [ { "display_name": "bob", "email": "abc@zoom.us" } ], "invitee_counters": { "total": 1, "active": 1, "limit": 1 }, "end_date_time": "2023-12-21T16:30:00Z", "guests": [ "tom@zoom.us" ], "location_kind": "zoom", "external_location": { "kind": "zoom", "meeting_id": "94777886776", "personal_meeting_id": "98656786887", "meeting_passcode": "958000", "meeting_description": "Invite you to meeting", "meeting_join_url": "https://zoom.us/j/7427752805" }, "start_date_time": "2023-12-21T16:00:00Z", "status": "confirmed", "summary": "daily meeting", "updated": "2023-12-21T06:18:32.087Z", "created": "2023-12-21T06:18:32.087Z", "meeting_notes": "meeting notes" }, "tracking": { "utm_source": "zoom", "utm_medium": "pay-per-clik", "utm_campaign": "spring_sale", "utm_content": "schedule link", "utm_term": "learning", "salesforce_ids": [ {} ] }, "rescheduled": true, "created": "2023-12-21T06:18:32.087Z", "text_phone_number": "+1 83798773" } } } ``` ### POST scheduler.scheduled\_event\_canceled - **Method:** `POST` - **Path:** `scheduler.scheduled_event_canceled` - **Tags:** scheduler #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event was created. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the scheduled event host. - **`object`** `object` — The information about the event. - **`cancellation`** `object` — The scheduled event cancellation information. - **`cancel_at`** `string` — The date and time when this scheduled event was canceled. - **`canceled_by`** `string` — The name or email address of the canceler. - **`canceler_type`** `string`, possible values: `"host", "invitee"` — The user type of the person who canceled. - **`reason`** `string` — The reason for canceling this scheduled event. - **`created`** `string` — The moment the scheduled request was created. - **`invitee_email`** `string` — The email address of the user who scheduled the event. - **`invitee_first_name`** `string` — The first name of the user who scheduled the event. - **`invitee_last_name`** `string` — The last name of the user who scheduled the event. - **`manage_url`** `string` — The URL for the user to reschedule or cancel the scheduled event. - **`questions_and_answers`** `array` — All questions and answers. **Items:** - **`answer` (required)** `array` — The answers to the question. **Items:** `string` — The answer to the question. - **`position` (required)** `integer` — The index of the question. - **`question` (required)** `string` — The question on the booking page. - **`rescheduled`** `boolean` — Whether it's from a reschedule request. - **`scheduled_event`** `object` — The information about the scheduled event. - **`attendees`** `array` — The hosts of the scheduled event. **Items:** - **`display_name`** `string` — The attendee's name. - **`email`** `string` — The attendee's email address. - **`created`** `string` — The moment the scheduled event was created. - **`end_date_time`** `string` — The scheduled event's end date and time. - **`event_id`** `string` — The unique identifier of the event. - **`external_location`** `object` — The meeting details in the scheduled event. - **`guests`** `array` — The collection of guests. **Items:** `string` — The guest's email address. - **`invitee_counters`** `object` — The event's guest counters. - **`active`** `integer`, format: `int64` — The count of active invitees in the event. - **`limit`** `integer`, format: `int64` — The maximum limit of invitees in the event. - **`total`** `integer`, format: `int64` — The total count of invitees in the event. - **`location`** `object` - **`location_kind`** `string`, possible values: `"custom", "in-person_meeting", "outbound_call", "inbound_call", "invitee_specified", "zoom", "google_meet", "microsoft_teams"` — Unified location type for both location and external\_location objects. If location type is online meeting, location info is in external\_location object. If not, location info is in location object. - **`meeting_notes`** `string` — The meeting notes for the scheduled event. - **`start_date_time`** `string` — The scheduled event's start date and time. - **`status`** `string`, possible values: `"confirmed", "cancelled"` — The status of the event: confirmed or cancelled. - **`summary`** `string` — The name of the schedule. - **`updated`** `string` — The moment the scheduled event was updated. - **`text_phone_number`** `string` — The phone number of the invitee to receive text reminders. - **`time_zone`** `string` — The user's time zone. - **`tracking`** `object` — The information to track the source of the invitee. - **`salesforce_ids`** `array` — The tracking of Salesforce IDs. **Items:** - **`utm_campaign`** `string` — This field identifies a specific product promotion or strategic campaign. - **`utm_content`** `string` — This field identifies what specifically was clicked to bring the user to the site, such as a banner ad or a text link. It is often used for A/B testing and content-targeted ads. - **`utm_medium`** `string` — This field identifies what type of link was used, such as pay-per-click or email. - **`utm_source`** `string` — This field identifies which site sent the traffic, and is a required parameter. - **`utm_term`** `string` — This field identifies search terms. - **`user_id`** `string` — The user ID of the scheduled event host. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "user_id": "", "object": { "invitee_email": "example@example.com", "invitee_first_name": "alax", "invitee_last_name": "bbbb", "manage_url": "https://scheduler.zoom.us/manage/m0o1uf25uq89wllenxxxxxxxxxxxx", "cancellation": { "canceled_by": "aa@bb.c", "canceler_type": "host", "cancel_at": "2023-12-21T16:30:00+08:00", "reason": "Time conflict" }, "time_zone": "Asia/Shanghai", "questions_and_answers": [ { "question": "Please share anything that will help prepare for our meeting.", "position": 1, "answer": [ "" ] } ], "scheduled_event": { "event_id": "woft7torlatbw8ek24bmit5k60", "attendees": [ { "display_name": "bob", "email": "abc@zoom.us" } ], "invitee_counters": { "total": 1, "active": 1, "limit": 1 }, "end_date_time": "2023-12-21T16:30:00Z", "guests": [ "tom@zoom.us" ], "location_kind": "zoom", "external_location": { "kind": "zoom", "meeting_id": "94777886776", "personal_meeting_id": "98656786887", "meeting_passcode": "958000", "meeting_description": "Invite you to meeting", "meeting_join_url": "https://zoom.us/j/7427752805" }, "start_date_time": "2023-12-21T16:00:00Z", "status": "confirmed", "summary": "daily meeting", "updated": "2023-12-21T06:18:32.087Z", "created": "2023-12-21T06:18:32.087Z", "meeting_notes": "meeting notes" }, "tracking": { "utm_source": "zoom", "utm_medium": "pay-per-clik", "utm_campaign": "spring_sale", "utm_content": "schedule link", "utm_term": "learning", "salesforce_ids": [ {} ] }, "rescheduled": true, "created": "2023-12-21T06:18:32.087Z", "text_phone_number": "+1 83798773" } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — The timestamp when the event was created. - **`payload` (required)** `object` - **`account_id`** `string` — The account ID of the scheduled event host. - **`object`** `object` — The information about the event. - **`cancellation`** `object` — The scheduled event cancellation information. - **`cancel_at`** `string` — The date and time when this scheduled event was canceled. - **`canceled_by`** `string` — The name or email address of the canceler. - **`canceler_type`** `string`, possible values: `"host", "invitee"` — The user type of the person who canceled. - **`reason`** `string` — The reason for canceling this scheduled event. - **`created`** `string` — The moment the scheduled request was created. - **`invitee_email`** `string` — The email address of the user who scheduled the event. - **`invitee_first_name`** `string` — The first name of the user who scheduled the event. - **`invitee_last_name`** `string` — The last name of the user who scheduled the event. - **`manage_url`** `string` — The URL for the user to reschedule or cancel the scheduled event. - **`questions_and_answers`** `array` — All questions and answers. **Items:** - **`answer` (required)** `array` — The answers to the question. **Items:** `string` — The answer to the question. - **`position` (required)** `integer` — The index of the question. - **`question` (required)** `string` — The question on the booking page. - **`rescheduled`** `boolean` — Whether it's from a reschedule request. - **`scheduled_event`** `object` — The information about the scheduled event. - **`attendees`** `array` — The hosts of the scheduled event. **Items:** - **`display_name`** `string` — The attendee's name. - **`email`** `string` — The attendee's email address. - **`created`** `string` — The moment the scheduled event was created. - **`end_date_time`** `string` — The scheduled event's end date and time. - **`event_id`** `string` — The unique identifier of the event. - **`external_location`** `object` — The meeting details in the scheduled event. - **`guests`** `array` — The collection of guests. **Items:** `string` — The guest's email address. - **`invitee_counters`** `object` — The event's guest counters. - **`active`** `integer`, format: `int64` — The count of active invitees in the event. - **`limit`** `integer`, format: `int64` — The maximum limit of invitees in the event. - **`total`** `integer`, format: `int64` — The total count of invitees in the event. - **`location`** `object` - **`location_kind`** `string`, possible values: `"custom", "in-person_meeting", "outbound_call", "inbound_call", "invitee_specified", "zoom", "google_meet", "microsoft_teams"` — Unified location type for both location and external\_location objects. If location type is online meeting, location info is in external\_location object. If not, location info is in location object. - **`meeting_notes`** `string` — The meeting notes for the scheduled event. - **`start_date_time`** `string` — The scheduled event's start date and time. - **`status`** `string`, possible values: `"confirmed", "cancelled"` — The status of the event: confirmed or cancelled. - **`summary`** `string` — The name of the schedule. - **`updated`** `string` — The moment the scheduled event was updated. - **`text_phone_number`** `string` — The phone number of the invitee to receive text reminders. - **`time_zone`** `string` — The user's time zone. - **`tracking`** `object` — The information to track the source of the invitee. - **`salesforce_ids`** `array` — The tracking of Salesforce IDs. **Items:** - **`utm_campaign`** `string` — This field identifies a specific product promotion or strategic campaign. - **`utm_content`** `string` — This field identifies what specifically was clicked to bring the user to the site, such as a banner ad or a text link. It is often used for A/B testing and content-targeted ads. - **`utm_medium`** `string` — This field identifies what type of link was used, such as pay-per-click or email. - **`utm_source`** `string` — This field identifies which site sent the traffic, and is a required parameter. - **`utm_term`** `string` — This field identifies search terms. - **`user_id`** `string` — The user ID of the scheduled event host. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "user_id": "", "object": { "invitee_email": "example@example.com", "invitee_first_name": "alax", "invitee_last_name": "bbbb", "manage_url": "https://scheduler.zoom.us/manage/m0o1uf25uq89wllenxxxxxxxxxxxx", "cancellation": { "canceled_by": "aa@bb.c", "canceler_type": "host", "cancel_at": "2023-12-21T16:30:00+08:00", "reason": "Time conflict" }, "time_zone": "Asia/Shanghai", "questions_and_answers": [ { "question": "Please share anything that will help prepare for our meeting.", "position": 1, "answer": [ "" ] } ], "scheduled_event": { "event_id": "woft7torlatbw8ek24bmit5k60", "attendees": [ { "display_name": "bob", "email": "abc@zoom.us" } ], "invitee_counters": { "total": 1, "active": 1, "limit": 1 }, "end_date_time": "2023-12-21T16:30:00Z", "guests": [ "tom@zoom.us" ], "location_kind": "zoom", "external_location": { "kind": "zoom", "meeting_id": "94777886776", "personal_meeting_id": "98656786887", "meeting_passcode": "958000", "meeting_description": "Invite you to meeting", "meeting_join_url": "https://zoom.us/j/7427752805" }, "start_date_time": "2023-12-21T16:00:00Z", "status": "confirmed", "summary": "daily meeting", "updated": "2023-12-21T06:18:32.087Z", "created": "2023-12-21T06:18:32.087Z", "meeting_notes": "meeting notes" }, "tracking": { "utm_source": "zoom", "utm_medium": "pay-per-clik", "utm_campaign": "spring_sale", "utm_content": "schedule link", "utm_term": "learning", "salesforce_ids": [ {} ] }, "rescheduled": true, "created": "2023-12-21T06:18:32.087Z", "text_phone_number": "+1 83798773" } } } ```